package vn.azteam.tpf.service.dto;

import java.time.Instant;
import java.io.Serializable;
import java.util.Objects;

/**
 * A DTO for the TBCustomer entity.
 */
public class TBCustomerDTO implements Serializable {

    private Long id;

    private String name;

    private String phone;

    private String email;

    private String slugName;

    private Double areaM2;

    private String address;

    private Long wardId;

    private String ward;

    private Long districtId;

    private String district;

    private Long cityId;

    private String city;

    private Long countryId;

    private String country;

    private Integer isActivated;

    private Instant createdDate;

    private Instant modifiedDate;

    private Instant deletedDate;

    private Long tbAddressId;

    private Long tbDashboardTypeId;

    private Long createdById;

    private Long modifiedById;

    private Long deletedById;

    private String apiKey;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getSlugName() {
        return slugName;
    }

    public void setSlugName(String slugName) {
        this.slugName = slugName;
    }

    public Integer getIsActivated() {
        return isActivated;
    }

    public void setIsActivated(Integer isActivated) {
        this.isActivated = isActivated;
    }

    public Instant getCreatedDate() {
        return createdDate;
    }

    public void setCreatedDate(Instant createdDate) {
        this.createdDate = createdDate;
    }

    public Instant getModifiedDate() {
        return modifiedDate;
    }

    public void setModifiedDate(Instant modifiedDate) {
        this.modifiedDate = modifiedDate;
    }

    public Instant getDeletedDate() {
        return deletedDate;
    }

    public void setDeletedDate(Instant deletedDate) {
        this.deletedDate = deletedDate;
    }

    public Long getTbAddressId() {
        return tbAddressId;
    }

    public void setTbAddressId(Long tBAddressId) {
        this.tbAddressId = tBAddressId;
    }

    public Long getTbDashboardTypeId() {
        return tbDashboardTypeId;
    }

    public void setTbDashboardTypeId(Long tbDashboardTypeId) {
        this.tbDashboardTypeId = tbDashboardTypeId;
    }

    public Long getCreatedById() {
        return createdById;
    }

    public void setCreatedById(Long tBDetailUserId) {
        this.createdById = tBDetailUserId;
    }

    public Long getModifiedById() {
        return modifiedById;
    }

    public void setModifiedById(Long tBDetailUserId) {
        this.modifiedById = tBDetailUserId;
    }

    public Long getDeletedById() {
        return deletedById;
    }

    public void setDeletedById(Long tBDetailUserId) {
        this.deletedById = tBDetailUserId;
    }

    public String getAddress() { return address; }

    public void setAddress(String address) { this.address = address; }

    public String getDistrict() { return district; }

    public void setDistrict(String district) { this.district = district; }

    public String getWard() { return ward; }

    public void setWard(String ward) { this.ward = ward; }

    public String getCity() { return city; }

    public void setCity(String city) { this.city = city; }

    public String getCountry() { return country; }

    public void setCountry(String country) { this.country = country; }

    public Long getWardId() {
        return wardId;
    }

    public void setWardId(Long wardId) {
        this.wardId = wardId;
    }

    public Long getDistrictId() {
        return districtId;
    }

    public void setDistrictId(Long districtId) {
        this.districtId = districtId;
    }

    public Long getCityId() {
        return cityId;
    }

    public void setCityId(Long cityId) {
        this.cityId = cityId;
    }

    public Long getCountryId() {
        return countryId;
    }

    public void setCountryId(Long countryId) {
        this.countryId = countryId;
    }

    public Double getAreaM2() { return areaM2; }

    public void setAreaM2(Double areaM2) { this.areaM2 = areaM2; }

    public String getApiKey() {
        return apiKey;
    }

    public void setApiKey(String apiKey) {
        this.apiKey = apiKey;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        TBCustomerDTO that = (TBCustomerDTO) o;
        return Objects.equals(id, that.id) && Objects.equals(name, that.name) && Objects.equals(phone, that.phone) && Objects.equals(email, that.email) && Objects.equals(slugName, that.slugName) && Objects.equals(areaM2, that.areaM2) && Objects.equals(address, that.address) && Objects.equals(wardId, that.wardId) && Objects.equals(ward, that.ward) && Objects.equals(districtId, that.districtId) && Objects.equals(district, that.district) && Objects.equals(cityId, that.cityId) && Objects.equals(city, that.city) && Objects.equals(countryId, that.countryId) && Objects.equals(country, that.country) && Objects.equals(isActivated, that.isActivated) && Objects.equals(createdDate, that.createdDate) && Objects.equals(modifiedDate, that.modifiedDate) && Objects.equals(deletedDate, that.deletedDate) && Objects.equals(tbAddressId, that.tbAddressId) && Objects.equals(tbDashboardTypeId, that.tbDashboardTypeId) && Objects.equals(createdById, that.createdById) && Objects.equals(modifiedById, that.modifiedById) && Objects.equals(deletedById, that.deletedById) && Objects.equals(apiKey, that.apiKey);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, name, phone, email, slugName, areaM2, address, wardId, ward, districtId, district, cityId, city, countryId, country, isActivated, createdDate, modifiedDate, deletedDate, tbAddressId, tbDashboardTypeId, createdById, modifiedById, deletedById, apiKey);
    }

    @Override
    public String toString() {
        return "TBCustomerDTO{" +
            "id=" + getId() +
            ", name='" + getName() + "'" +
            ", phone='" + getPhone() + "'" +
            ", email='" + getEmail() + "'" +
            ", address='" + getAddress() + "'" +
            ", isActivated=" + getIsActivated() +
            ", createdDate='" + getCreatedDate() + "'" +
            ", modifiedDate='" + getModifiedDate() + "'" +
            ", deletedDate='" + getDeletedDate() + "'" +
            ", tbAddress=" + getTbAddressId() +
            ", createdBy=" + getCreatedById() +
            ", modifiedBy=" + getModifiedById() +
            ", deletedBy=" + getDeletedById() +
            ", apiKey=" + getApiKey() +
            "}";
    }
}
